Bug 197124 - Hermes: broken upgrade paths
Hermes: broken upgrade paths
Product: Fedora
Classification: Fedora
Component: Hermes (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-28 13:57 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-02 07:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-06-28 13:57:20 EDT
Hermes' upgrade paths are broken:

  4: 0:1.3.3-9.fc4 (FE4)
  5: 0:1.3.3-7 (FE5)
  6: 0:1.3.3-7 (FE6)

See https://www.redhat.com/archives/fedora-extras-list/2006-May/msg00083.html
Comment 1 Thomas Vander Stichele 2006-07-02 07:50:07 EDT
pushed a .10 release for fe5 and fe6
Comment 2 Thomas Vander Stichele 2006-07-02 08:03:38 EDT
actually, they just don't even build.  the packages should be removed.
Comment 3 Hans de Goede 2006-07-23 04:16:52 EDT

Reopening, you say the package didn't build and should be removed, but as is
they are not removed and thus the broken upgrade paths are still there.

Also in bug 184109 you write that Hermes is orphaned, but you didn't change
owners.list to reflect that. Is Hermes orphaned?  I've just submitted a package
(CLanLib06) for review which needs Hermes (and seems to work fine with the
current versions in FE) so if its orphaned I would like to pick it up as I need it.
Comment 4 Thomas Vander Stichele 2006-07-23 11:47:36 EDT
it's yours for the taking
Comment 5 Hans de Goede 2006-07-23 16:57:47 EDT

I've been working hard on a new release 1.3.3-11 which should show up on a
mirror near you soon, with the following changes:
* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.3.3-11
- Taking over as new maintainer
- Add a patch from Debian fixing some 64 bit issues and more importantly
  fix building with a recent toolchain.
- Fix some further 64 bit issues
- Remove static lib
- Add --disable-dependency-tracking, touch config.h.in to fix the timestamp
  instead of BR: automake, autoconf
- Mark asm files as NOT needing execstack, making us OK with new default
  SELinux targeted policy settings.

Which should really fix the problem reported in this bug, so I'm leaving it closed.

Note You need to log in before you can comment on or make changes to this bug.